OpenStack Compute (Nova)

EC2 api call TerminateInstances returns the wrong response

Reported by Clint Byrum on 2011-09-29
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Medium
Hengqing Hu
pyjuju
Undecided
Unassigned

Bug Description

The EC2 api reference states that this should return a requestId and instancesSet which is a list of instance state changes.

TerminateInstances on nova-api returns a requestId and <return>true</return>.

Tags: ec2 Edit Tag help
Clint Byrum (clint-fewbar) wrote :

This causes juju to fail to wait for the entire environment to be shutdown because the initial terminate_instances does not return a list of shutting down instances.

$ juju -v destroy-environment
2011-09-29 18:32:08,229 DEBUG Initializing juju destroy-environment runtime
WARNING: this command will destroy the 'canonistack' environment (type: ec2).
This includes all machines, services, data, and other resources. Continue [y/N]y
2011-09-29 18:32:10,608 INFO Destroying environment 'canonistack' (type: ec2)...
2011-09-29 18:32:12,802 INFO Waiting on 0 EC2 instances to transition to terminated state, this may take a while
2011-09-29 18:32:13,169 DEBUG Deleted environment security group 'juju-canonistack'
2011-09-29 18:32:13,170 INFO 'destroy_environment' command finished successfully

With EC2 it would have waited for the 4 machines I had in the environment to terminate.

Thierry Carrez (ttx) on 2011-10-21
Changed in nova:
importance: Undecided → Medium
status: New → Confirmed
tags: added: ec2
Changed in juju:
status: New → Invalid
Hengqing Hu (hudayou) on 2012-01-31
Changed in nova:
assignee: nobody → Hengqing Hu (hudayou)

Fix proposed to branch: master
Review: https://review.openstack.org/3575

Changed in nova:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/3575
Committed: http://github.com/openstack/nova/commit/59c0a723cc6d9e0c298d581952bde6853c2288c7
Submitter: Jenkins
Branch: master

commit 59c0a723cc6d9e0c298d581952bde6853c2288c7
Author: Hengqing Hu <email address hidden>
Date: Tue Jan 31 21:20:04 2012 +0800

    Return instancesSet in TerminateInstances ec2 api

    Fixe bug #862680

    Return instancesSet to follow ec2 TerminateInstances api specification:
        'http://docs.amazonwebservices.com/AmazonEC2/dg/2007-01-03/ApiReference-SOAP-TerminateInstances.html'

    Remove dead test_terminate_instances code in test_cloud.py

    Change-Id: Iabc0ccdbd80946b60af63bdc49bc7820c65ca006

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2012-02-29
Changed in nova:
milestone: none → essex-4
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: essex-4 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers